﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;
using System.Net.Sockets;
using System.IO;

public partial class spinneret_ajaxhandler : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string ledState = string.IsNullOrEmpty(Request.QueryString["ledstate"]) ? "off" : Request.QueryString["ledstate"];
        string id = string.IsNullOrEmpty(Request.QueryString["id"]) ? "off" : Request.QueryString["id"];
        Response.Write(GetWebRequest(id, ledState));
    }


    private string GetWebRequest(string id, string ledState)
    {
        string url = string.Empty;
        //http://spinneret.servebeer.com:5000
        url = string.Format("http://spinneret.servebeer.com:5000/led/{0}/{1}", id, ledState);
        Uri uri = new Uri(url);

        try
        {
            // Create a request using a URL that can receive a post.
            WebRequest request = WebRequest.Create(uri);

            // Set the Method property of the request to POST.
            request.Method = "GET";

            // Set the ContentType property of the WebRequest.
            request.ContentType = "application/x-www-form-urlencoded";

            // Get the response.
            WebResponse response = request.GetResponse();

            // Display the status.
            string status = ((HttpWebResponse)response).StatusDescription;

            if (status.ToLower() != "ok")
                return string.Format("Sorry; the spinneret is unavailable.");

            // Get the stream containing content returned by the server.
            Stream dataStream = response.GetResponseStream();

            // Open the stream using a StreamReader for easy access.
            StreamReader reader = new StreamReader(dataStream);

            // Read the content.
            string responseFromServer = reader.ReadToEnd();

            // Clean up the streams.
            reader.Close();
            dataStream.Close();
            response.Close();

            return responseFromServer;
        }
        catch (Exception)
        {
            return string.Format("Sorry; the spinneret is unavailable.");
        }
    }
}